List Orders
List orders.
Scopes: orders:read
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.orders.iter_list(
page=1,
limit=10,
sorting=['-created_at'],
):
print(item)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.orders.iterList(
{
"page": 1,
"limit": 10,
"sorting": [
"-created_at"
]
},
)) {
console.log(item);
}curl --request GET \
--url https://api.polar.sh/v1/orders/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.polar.sh/v1/orders/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/orders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"paid": true,
"subtotal_amount": 123,
"discount_amount": 123,
"net_amount": 123,
"tax_amount": 123,
"total_amount": 123,
"applied_balance_amount": 123,
"due_amount": 123,
"refunded_amount": 123,
"refunded_tax_amount": 123,
"currency": "<string>",
"billing_name": "<string>",
"billing_address": {
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state": "<string>"
},
"invoice_number": "<string>",
"is_invoice_generated": true,
"receipt_number": "<string>",
"customer_id": "<string>",
"product_id": "<string>",
"discount_id": "<string>",
"subscription_id": "<string>",
"checkout_id": "<string>",
"metadata": {},
"platform_fee_amount": 123,
"platform_fee_currency": "usd",
"customer": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"metadata": {},
"email_verified": true,
"name": "John Doe",
"billing_name": "John Doe",
"billing_address": {
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state": "<string>"
},
"tax_id": {
"[0]": "<string>"
},
"organization_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"avatar_url": "https://www.gravatar.com/avatar/xxx?d=404",
"external_id": "usr_1337",
"email": "customer@example.com",
"locale": "<string>",
"default_payment_method_id": "<string>"
},
"product": {
"metadata": {},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"trial_interval_count": 123,
"name": "<string>",
"description": "<string>",
"recurring_interval_count": 123,
"meter_interval_count": 123,
"is_recurring": true,
"is_archived": true,
"organization_id": "<string>"
},
"discount": {
"amount": 123,
"currency": "<string>",
"amounts": {},
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"metadata": {},
"name": "<string>",
"code": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"max_redemptions": 123,
"redemptions_count": 123,
"organization_id": "<string>"
},
"subscription": {
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"amount": 123,
"currency": "<string>",
"recurring_interval_count": 123,
"current_period_start": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z",
"current_meter_period_start": "2023-11-07T05:31:56Z",
"current_meter_period_end": "2023-11-07T05:31:56Z",
"trial_start": "2023-11-07T05:31:56Z",
"trial_end": "2023-11-07T05:31:56Z",
"cancel_at_period_end": true,
"canceled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"pause_at_period_end": true,
"paused_at": "2023-11-07T05:31:56Z",
"resumes_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"product_id": "<string>",
"discount_id": "<string>",
"checkout_id": "<string>",
"customer_cancellation_comment": "<string>",
"past_due_at": "2023-11-07T05:31:56Z",
"seats": 123
},
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"amount": 123,
"tax_amount": 123,
"proration": true,
"product_price_id": "<string>"
}
],
"description": "<string>",
"refundable_amount": 123,
"refundable_tax_amount": 123,
"seats": 123,
"next_payment_attempt_at": "2023-11-07T05:31:56Z",
"custom_field_data": {}
}
],
"pagination": {
"total_count": 123,
"max_page": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Filter by organization ID. The organization ID.
"1dbfc517-0bbf-4301-9ba8-555ca42b9737"
Filter by product ID. The product ID.
Filter by product billing type. recurring will filter data corresponding to subscriptions creations or renewals. one_time will filter data corresponding to one-time purchases.
one_time, recurring Filter by discount ID.
Filter by customer ID. The customer ID.
Filter by customer external ID. The customer external ID.
Filter by checkout ID.
Filter by subscription ID. The subscription ID.
Page number, defaults to 1.
Size of a page, defaults to 10. Maximum is 100.
Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.
created_at, -created_at, status, -status, invoice_number, -invoice_number, amount, -amount, net_amount, -net_amount, customer, -customer, product, -product, discount, -discount, subscription, -subscription Filter by metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.
Show child attributes
Show child attributes
Was this page helpful?
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.orders.iter_list(
page=1,
limit=10,
sorting=['-created_at'],
):
print(item)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.orders.iterList(
{
"page": 1,
"limit": 10,
"sorting": [
"-created_at"
]
},
)) {
console.log(item);
}
